## ocaml-shine 0.2.2

=== examples/Makefile ===
build:
	@dune build @examples

clean:
	@dune clean

## ocaml-shine 0.1.1

=== debian/changelog ===
ocaml-shine (0.1.1-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:46 +0000

ocaml-shine (0.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #699636)

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Apr 2013 21:18:09 -0500

=== debian/control ===
Source: ocaml-shine
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 libshine-dev (>= 2.0.0),
 ocaml-findlib (>= 1.2.4), 
 pkg-config
Standards-Version: 3.9.4
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-shine.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-shine.git

Package: libshine-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the shine library -- runtime files
 This package provides an interface to the shine library for
 OCaml programmers.
 .
 Shine can be used to encode MP3 audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains only the shared runtime stub libraries.

Package: libshine-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libshine-dev, 
         libshine-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the shine library -- developpement files
 This package provides an interface to the shine library for
 OCaml programmers.
 .
 Shine can be used to encode MP3 audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-shine.

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-shine-(.+)\.tar\.gz

## ocaml-shine 0.2.0

=== debian/changelog ===
ocaml-shine (0.2.0-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 14:03:11 -0600

ocaml-shine (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to libshine3
  * Bumped standards version to 3.9.5

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2014 18:53:47 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DEB_CONFIGURE_SCRIPT  := ./configure
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libshine-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf .pc config.h Makefile src/Makefile src/META doc config.log config.status

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ocaml-shine-$1\.tar\.gz/ \
  https://github.com/savonet/ocaml-shine/tags .*/v?(\d\S*)\.tar\.gz

## ocaml-shine 0.2.1

=== debian/changelog ===
ocaml-shine (0.2.1-1) unstable; urgency=medium

  * Team upload
  * Remove Samuel and Romain from Uploaders
  * New upstream release
  * Update Homepage
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13 (and drop cdbs)
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Aug 2020 07:02:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+Build-Depends:
+ debhelper-compat (= 13),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), 
- libshine-dev (>= 2.0.0),
- ocaml-findlib (>= 1.2.4), 
+ dh-ocaml,
+ libshine-dev (>= 3.1.0),
+ ocaml-findlib (>= 1.2.4),
  pkg-config
-Standards-Version: 3.9.4
-Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-shine.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-shine.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.liquidsoap.info/
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-shine
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-shine.git
 
 Package: libshine-ocaml
 Architecture: any
@@ -32,10 +32,10 @@
 
 Package: libshine-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, libshine-dev, 
+Depends: ${ocaml:Depends}, libshine-dev,
          libshine-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
-Description: OCaml interface to the shine library -- developpement files
+Description: OCaml interface to the shine library -- development files
  This package provides an interface to the shine library for
  OCaml programmers.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- --enable-debugging

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) $(DEB_MAKE_INSTALL_TARGET)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc

## ocaml-shine 0.2.2

=== debian/changelog ===
ocaml-shine (0.2.2-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:24 +0100

ocaml-shine (0.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Nov 2021 11:37:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  ocaml-nox,
  dh-ocaml,
  libshine-dev (>= 3.1.0),
- ocaml-findlib (>= 1.2.4),
+ ocaml-dune,
+ libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.liquidsoap.info/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-shine

## ocaml-shine 0.2.3

=== debian/changelog ===
ocaml-shine (0.2.3-4) unstable; urgency=medium

  * Team upload
  * Replace pkg-config by pkgconf in Build-Depends
  * Remove dh-buildinfo from Build-Depends
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 07:25:34 +0200

ocaml-shine (0.2.3-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:55:18 +0200

ocaml-shine (0.2.3-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 06:48:15 +0200

ocaml-shine (0.2.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 22 Jan 2023 11:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
- ocaml-nox,
- dh-ocaml,
- libshine-dev (>= 3.1.0),
+ ocaml,
+ dh-ocaml (>= 1.2),
+ libshine-dev,
  ocaml-dune,
  libdune-ocaml-dev,
- pkg-config
-Standards-Version: 4.6.0
+ pkgconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.liquidsoap.info/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-shine

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ocaml-shine-$1\.tar\.gz/ \
  https://github.com/savonet/ocaml-shine/tags .*/v?(\d\S*)\.tar\.gz
